Printago API
GET
/v1/addons
Get all available addons
Response Schema
Addon[]
Array of Addon, each with:
addonTyperequired
string
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
isActiverequired
boolean
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
requiresCommercialrequired
boolean
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
[
{
"id": "string",
"addonType": "string",
"name": "string",
"requiresCommercial": true,
"isActive": true,
"metadata": {},
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}
]